﻿namespace CoreLibrary.Regles
{
    /// <summary>
    /// Interface pour créer des règles.
    /// </summary>
    public interface IRegles
    {
        int Indice { get; }
        /// <summary>
        /// Obtient le nom des règles.
        /// </summary>
        string Nom { get; }
        string Description { get; }

        /// <summary>
        /// Obtient le nombre de joueurs.
        /// </summary>
        int NbJoueurs { get; }

        /// <summary>
        /// Obtient le nombre de tour.
        /// </summary>
        int NbTour { get; }

        /// <summary>
        /// Obtient la taille d'un code.
        /// </summary>
        int TailleCode { get; }
        bool Equals(object? obj);
        int GetHashCode();
    }
}
